Subject: Re: [dhcwg] We can change the world in a 1000 ways (IPv4 over IPv6)

From: "Simon Hobson" <[email-masked]>
Date: Sun, 17 Nov 2013 17:23:26 +0000

Sten Carlsen wrote:
> I think that what they are actually doing there isdistinguishing customers who need
> a fixed address because theywant to run a server and those who have simpler needs.

> While the amount charged is likely muchmore than the cost of providing the address it
> is very likelyto represent the additional cost of supporting such users,especially the
> higher bandwidth they are likely to consume.

Really ? In my case, the primary reason for wanting a fixed address is so I can run my own mail server. That makes no difference to the bandwidth - it may in fact reduce my bandwidth requirements since internal emails between users don't have to go out to an external server and back in again. Plus, in the grand scheme of things, my mail service consumes but a small fraction of my overall bandwidth.
IMO I suspect you'll find something of a correlation between those who want a fixed IP address, and those who don't spend all night watching streaming HD video.
> And there is going to be a cost associated with allowing consumers to keep a static IP address.
> It is going to constrain their operations quite significantly and prevent optimizations of the routing
> space they might otherwise deploy.
That will depend heavily on your setup, and whether you got it wrong first time round. Here in the UK I can see it making no difference at all given the typical architecture of our broadband network.
> Having totell a customer that their address needs to change isexpensive.

Don't I know it ! At work we've recently taken over provision of a campus network to a local business/science park due to a policy change at Janet (no longer sharing infrastructure with commercial operations). That's meant getting all the tenants/custoemrs to change their public IPs to our new /23 - and due to some local politics, in an unreasonably short timescale.
I've also had a situation where a customer at work had their fixed addresses changed by the ISP. Unfortunately they ignored the letters until their service stopped working, after which I no longer had remote access to the router to change it for them. Still, 4 billable hours for me to drive up and sort it for them :)